<html>
<head>
<title>OgreParticleEmitter.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreParticleEmitter.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreParticleEmitter_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __ParticleEmitter_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __ParticleEmitter_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector3_8h.html">OgreVector3.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreColourValue_8h.html">OgreColourValue.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreStringInterface_8h.html">OgreStringInterface.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreParticleEmitterCommands_8h.html">OgreParticleEmitterCommands.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreParticle_8h.html">OgreParticle.h</a>&quot;</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="keyword">namespace </span>Ogre {
<a name="l00041"></a>00041 
<a name="l00042"></a>00042 
<a name="l00071"></a><a class="code" href="classOgre_1_1ParticleEmitter.html">00071</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.">StringInterface</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>
<a name="l00072"></a>00072     {
<a name="l00073"></a>00073     <span class="keyword">protected</span>:
<a name="l00074"></a>00074 
<a name="l00075"></a>00075         <span class="comment">// Command object for setting / getting parameters</span>
<a name="l00076"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a86adbb57e865edeb4a879ccbd7df2b72">00076</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdAngle.html" title="Command object for ParticleEmitter - see ParamCommand.">EmitterCommands::CmdAngle</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a86adbb57e865edeb4a879ccbd7df2b72">msAngleCmd</a>;
<a name="l00077"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a4f71edb0adfdd958cacb2da43ba400e9">00077</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdColour.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdColour</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a4f71edb0adfdd958cacb2da43ba400e9">msColourCmd</a>;
<a name="l00078"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#ab145b978f64046a748cf23ab5597c361">00078</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdColourRangeStart</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#ab145b978f64046a748cf23ab5597c361">msColourRangeStartCmd</a>;
<a name="l00079"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#aacb833acc3ae5d554393003477f8eb33">00079</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdColourRangeEnd</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#aacb833acc3ae5d554393003477f8eb33">msColourRangeEndCmd</a>;
<a name="l00080"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a3424684c86aa4b07e2008cd4545ff837">00080</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdDirection.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdDirection</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a3424684c86aa4b07e2008cd4545ff837">msDirectionCmd</a>;
<a name="l00081"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a70ea0743057566383fb1c836ce0d5725">00081</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdUp.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdUp</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a70ea0743057566383fb1c836ce0d5725">msUpCmd</a>;
<a name="l00082"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a175485523e6297104768bb255bd58bc1">00082</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdEmissionRate</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a175485523e6297104768bb255bd58bc1">msEmissionRateCmd</a>;
<a name="l00083"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a159cd9a769df7987ed07230ce40532b3">00083</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdMaxTTL</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a159cd9a769df7987ed07230ce40532b3">msMaxTTLCmd</a>;
<a name="l00084"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a7d0a6fb11df819c5ec02607e2c7ae42b">00084</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdMaxVelocity</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a7d0a6fb11df819c5ec02607e2c7ae42b">msMaxVelocityCmd</a>;
<a name="l00085"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a18c69f12f17eb446261fb5bd3250687e">00085</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdMinTTL</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a18c69f12f17eb446261fb5bd3250687e">msMinTTLCmd</a>;
<a name="l00086"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a1991711622b6a800526e8592d99c3380">00086</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdMinVelocity</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a1991711622b6a800526e8592d99c3380">msMinVelocityCmd</a>;
<a name="l00087"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#ab847f1831dee16b9a9bac698a62ccd7d">00087</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdPosition.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdPosition</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#ab847f1831dee16b9a9bac698a62ccd7d">msPositionCmd</a>;
<a name="l00088"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#ae5cd270713b5171582b1df96da13d61e">00088</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdTTL.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdTTL</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#ae5cd270713b5171582b1df96da13d61e">msTTLCmd</a>;
<a name="l00089"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#ab82fa70975d816558f51cc089f47ef94">00089</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdVelocity</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#ab82fa70975d816558f51cc089f47ef94">msVelocityCmd</a>;
<a name="l00090"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#aeb88177ae601acb7bc5bc22eefe185dd">00090</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdDuration</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#aeb88177ae601acb7bc5bc22eefe185dd">msDurationCmd</a>;
<a name="l00091"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a8a1ee3b665e0891d0e3564aca3be256e">00091</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdMinDuration</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a8a1ee3b665e0891d0e3564aca3be256e">msMinDurationCmd</a>;
<a name="l00092"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#ab39b183d1e189df957745a30db22ef1f">00092</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdMaxDuration</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#ab39b183d1e189df957745a30db22ef1f">msMaxDurationCmd</a>;
<a name="l00093"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a7e7918ef9444d676883d1bc742786eb7">00093</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdRepeatDelay</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a7e7918ef9444d676883d1bc742786eb7">msRepeatDelayCmd</a>;
<a name="l00094"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a4c8e29eff065bcf85ecfe288f83b3d98">00094</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdMinRepeatDelay</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a4c8e29eff065bcf85ecfe288f83b3d98">msMinRepeatDelayCmd</a>;
<a name="l00095"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#af0a64ba75254ea79ef84ba4d86e7d5b0">00095</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdMaxRepeatDelay</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#af0a64ba75254ea79ef84ba4d86e7d5b0">msMaxRepeatDelayCmd</a>;
<a name="l00096"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a437c9c0913cb60139878a309fb14faa0">00096</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdName.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdName</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a437c9c0913cb60139878a309fb14faa0">msNameCmd</a>;
<a name="l00097"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#ad6495e031e862aad5804b465150ffb0d">00097</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html" title="Command object for particle emitter - see ParamCommand.">EmitterCommands::CmdEmittedEmitter</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#ad6495e031e862aad5804b465150ffb0d">msEmittedEmitterCmd</a>;
<a name="l00098"></a>00098 
<a name="l00099"></a>00099 
<a name="l00101"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a7aa37b841d248eb6c516d03b9ced47be">00101</a>         <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* <a class="code" href="classOgre_1_1ParticleEmitter.html#a7aa37b841d248eb6c516d03b9ced47be" title="Parent particle system.">mParent</a>;
<a name="l00103"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a0e58f6330d93c025df31504bcb8dbb01">00103</a>         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a0e58f6330d93c025df31504bcb8dbb01" title="Position relative to the center of the ParticleSystem.">mPosition</a>;
<a name="l00105"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a86d455a96cf66409dcaf339cb156851e">00105</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a86d455a96cf66409dcaf339cb156851e" title="Rate in particles per second at which this emitter wishes to emit particles.">mEmissionRate</a>;
<a name="l00107"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a174cd0295d3974e5f2996f12399ad954">00107</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a174cd0295d3974e5f2996f12399ad954" title="Name of the type of emitter, MUST be initialised by subclasses.">mType</a>;
<a name="l00109"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#aa36091bb901237b6fb90280778b4abaa">00109</a>         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#aa36091bb901237b6fb90280778b4abaa" title="Base direction of the emitter, may not be used by some emitters.">mDirection</a>;
<a name="l00110"></a>00110         <span class="comment">// Notional up vector, used to speed up generation of variant directions, and also to orient some emitters.</span>
<a name="l00111"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a4008fffa0679c45bf63d692e3539d795">00111</a>         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a4008fffa0679c45bf63d692e3539d795">mUp</a>;
<a name="l00113"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a43d3fa5d4f7f09943d30ff584148882f">00113</a>         <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a43d3fa5d4f7f09943d30ff584148882f" title="Angle around direction which particles may be emitted, internally radians but angleunits for interfac...">mAngle</a>;
<a name="l00115"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a5cad196b3b75557de1d8709de276a9f5">00115</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a5cad196b3b75557de1d8709de276a9f5" title="Min speed of particles.">mMinSpeed</a>;
<a name="l00117"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a7e0b19d7f412669088a72f9d11a28c59">00117</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a7e0b19d7f412669088a72f9d11a28c59" title="Max speed of particles.">mMaxSpeed</a>;
<a name="l00119"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a08d6f62d75a0bdfab5469e663020b1b0">00119</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a08d6f62d75a0bdfab5469e663020b1b0" title="Initial time-to-live of particles (min)">mMinTTL</a>;
<a name="l00121"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a2fe886ed82d656e794e65d756c5d2f29">00121</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a2fe886ed82d656e794e65d756c5d2f29" title="Initial time-to-live of particles (max)">mMaxTTL</a>;
<a name="l00123"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a543f6ffc009f6854becedd41a2a0f3b8">00123</a>         <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a543f6ffc009f6854becedd41a2a0f3b8" title="Initial colour of particles (range start)">mColourRangeStart</a>;
<a name="l00125"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#ad550f8fd793ffd0472f13c2ab6eef229">00125</a>         <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#ad550f8fd793ffd0472f13c2ab6eef229" title="Initial colour of particles (range end)">mColourRangeEnd</a>;
<a name="l00126"></a>00126 
<a name="l00128"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a2c3b91c24e7e3c229e9c857a18c325dc">00128</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleEmitter.html#a2c3b91c24e7e3c229e9c857a18c325dc" title="Whether this emitter is currently enabled (defaults to true)">mEnabled</a>;
<a name="l00129"></a>00129 
<a name="l00131"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a5f34ccaade6af1c735f6574a720b61e9">00131</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a5f34ccaade6af1c735f6574a720b61e9" title="Start time (in seconds from start of first call to ParticleSystem to update)">mStartTime</a>;
<a name="l00133"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#afe0197f03c13e17f290805511c207039">00133</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#afe0197f03c13e17f290805511c207039" title="Minimum length of time emitter will run for (0 = forever)">mDurationMin</a>;
<a name="l00135"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a410b6bb4f4b76712e50a00a74cd8c37e">00135</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a410b6bb4f4b76712e50a00a74cd8c37e" title="Maximum length of time the emitter will run for (0 = forever)">mDurationMax</a>;
<a name="l00137"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#ada0e36dfc0c19ec4f1da2aac55439247">00137</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#ada0e36dfc0c19ec4f1da2aac55439247" title="Current duration remainder.">mDurationRemain</a>;
<a name="l00138"></a>00138 
<a name="l00140"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a36825e9ebbbe96f5d189e69b317147ca">00140</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a36825e9ebbbe96f5d189e69b317147ca" title="Time between each repeat.">mRepeatDelayMin</a>;
<a name="l00141"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#adf49213cfe3ab29f790a583e1f794dd0">00141</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#adf49213cfe3ab29f790a583e1f794dd0">mRepeatDelayMax</a>;
<a name="l00143"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a24d9ca3e5081d50129c4905f867ce80d">00143</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a24d9ca3e5081d50129c4905f867ce80d" title="Repeat delay left.">mRepeatDelayRemain</a>;
<a name="l00144"></a>00144 
<a name="l00145"></a>00145         <span class="comment">// Fractions of particles wanted to be emitted last time</span>
<a name="l00146"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a35ea595f8afe2e49c5955572b92d9984">00146</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a35ea595f8afe2e49c5955572b92d9984">mRemainder</a>;
<a name="l00147"></a>00147 
<a name="l00149"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#aafc5b3909cea11eb15e37a35e6cb475e">00149</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#aafc5b3909cea11eb15e37a35e6cb475e" title="The name of the emitter. The name is optional unless it is used as an emitter that is emitted itself...">mName</a>;
<a name="l00150"></a>00150 
<a name="l00152"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a5961fd63031385f180f03fec1c0488ed">00152</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ParticleEmitter.html#a5961fd63031385f180f03fec1c0488ed" title="The name of the emitter to be emitted (optional)">mEmittedEmitter</a>;
<a name="l00153"></a>00153 
<a name="l00154"></a>00154         <span class="comment">// If &#39;true&#39;, this emitter is emitted by another emitter.</span>
<a name="l00155"></a>00155         <span class="comment">// NB. That doesn&#39;t imply that the emitter itself emits other emitters (that could or could not be the case)</span>
<a name="l00156"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#ae533619c86afd4047c5e1a75c5757692">00156</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ParticleEmitter.html#ae533619c86afd4047c5e1a75c5757692">mEmitted</a>;
<a name="l00157"></a>00157 
<a name="l00158"></a>00158         <span class="comment">// NB Method below here are to help out people implementing emitters by providing the</span>
<a name="l00159"></a>00159         <span class="comment">// most commonly used approaches as piecemeal methods</span>
<a name="l00160"></a>00160 
<a name="l00164"></a>00164         <span class="keyword">virtual</span> <span class="keywordtype">void</span> genEmissionDirection(<a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; destVector);
<a name="l00165"></a>00165 
<a name="l00170"></a>00170         <span class="keyword">virtual</span> <span class="keywordtype">void</span> genEmissionVelocity(<a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; destVector);
<a name="l00171"></a>00171 
<a name="l00173"></a>00173         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> genEmissionTTL(<span class="keywordtype">void</span>);
<a name="l00174"></a>00174 
<a name="l00176"></a>00176         <span class="keyword">virtual</span> <span class="keywordtype">void</span> genEmissionColour(<a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; destColour);
<a name="l00177"></a>00177 
<a name="l00179"></a>00179         <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> genConstantEmissionCount(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed);
<a name="l00180"></a>00180 
<a name="l00189"></a>00189         <span class="keywordtype">void</span> addBaseParameters(<span class="keywordtype">void</span>);
<a name="l00190"></a>00190 
<a name="l00192"></a>00192         <span class="keywordtype">void</span> initDurationRepeat(<span class="keywordtype">void</span>);
<a name="l00193"></a>00193 
<a name="l00194"></a>00194 
<a name="l00195"></a>00195     <span class="keyword">public</span>:
<a name="l00196"></a>00196         <a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a>(<a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>* psys);
<a name="l00198"></a>00198         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a>();
<a name="l00199"></a>00199 
<a name="l00201"></a>00201         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPosition(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; pos);
<a name="l00202"></a>00202 
<a name="l00204"></a>00204         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; getPosition(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00205"></a>00205 
<a name="l00217"></a>00217         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDirection(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; direction);
<a name="l00218"></a>00218 
<a name="l00220"></a>00220         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; getDirection(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00221"></a>00221 
<a name="l00230"></a>00230         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setUp(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; up);
<a name="l00231"></a>00231 
<a name="l00233"></a>00233         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; getUp(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00234"></a>00234 
<a name="l00245"></a>00245         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setAngle(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>&amp; angle);
<a name="l00246"></a>00246 
<a name="l00248"></a>00248         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>&amp; getAngle(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00249"></a>00249 
<a name="l00257"></a>00257         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setParticleVelocity(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> speed);
<a name="l00258"></a>00258 
<a name="l00259"></a>00259 
<a name="l00269"></a>00269         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setParticleVelocity(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> min, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> max);
<a name="l00271"></a>00271         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMinParticleVelocity(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> min);
<a name="l00273"></a>00273         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMaxParticleVelocity(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> max);
<a name="l00274"></a>00274 
<a name="l00276"></a>00276         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getParticleVelocity(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00277"></a>00277 
<a name="l00279"></a>00279         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMinParticleVelocity(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00280"></a>00280 
<a name="l00282"></a>00282         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMaxParticleVelocity(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00283"></a>00283 
<a name="l00296"></a>00296         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setEmissionRate(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> particlesPerSecond);
<a name="l00297"></a>00297 
<a name="l00299"></a>00299         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getEmissionRate(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00300"></a>00300 
<a name="l00311"></a>00311         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setTimeToLive(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> ttl);
<a name="l00325"></a>00325         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setTimeToLive(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> minTtl, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> maxTtl);
<a name="l00326"></a>00326 
<a name="l00328"></a>00328         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMinTimeToLive(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> min);
<a name="l00330"></a>00330         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMaxTimeToLive(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> max);
<a name="l00331"></a>00331         
<a name="l00333"></a>00333         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTimeToLive(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00334"></a>00334 
<a name="l00336"></a>00336         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMinTimeToLive(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00338"></a>00338         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMaxTimeToLive(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00339"></a>00339 
<a name="l00347"></a>00347         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setColour(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour);
<a name="l00357"></a>00357         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setColour(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colourStart, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colourEnd);
<a name="l00359"></a>00359         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setColourRangeStart(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour);
<a name="l00361"></a>00361         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setColourRangeEnd(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour);
<a name="l00363"></a>00363         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00365"></a>00365         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getColourRangeStart(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00367"></a>00367         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getColourRangeEnd(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00368"></a>00368 
<a name="l00381"></a>00381         <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> _getEmissionCount(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed) = 0;
<a name="l00382"></a>00382 
<a name="l00392"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#a3a8cec931c55752b3995cd631d40acd5">00392</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1ParticleEmitter.html#a3a8cec931c55752b3995cd631d40acd5" title="Initialises a particle based on the emitter&#39;s approach and parameters.">_initParticle</a>(<a class="code" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>* pParticle) {
<a name="l00393"></a>00393             <span class="comment">// Initialise size in case it&#39;s been altered</span>
<a name="l00394"></a>00394             pParticle-&gt;<a class="code" href="classOgre_1_1Particle.html#a44700655800282c23c7f3f97debfacf7" title="Utility method to reset this particle.">resetDimensions</a>();
<a name="l00395"></a>00395         }
<a name="l00396"></a>00396 
<a name="l00397"></a>00397 
<a name="l00403"></a><a class="code" href="classOgre_1_1ParticleEmitter.html#ab1f20e81493e838a1f07187842fb7c09">00403</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;<a class="code" href="classOgre_1_1ParticleEmitter.html#ab1f20e81493e838a1f07187842fb7c09" title="Returns the name of the type of emitter.">getType</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mType; }
<a name="l00404"></a>00404 
<a name="l00409"></a>00409         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00410"></a>00410 
<a name="l00412"></a>00412         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> getEnabled(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00413"></a>00413 
<a name="l00421"></a>00421         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setStartTime(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> startTime);
<a name="l00423"></a>00423         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getStartTime(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00424"></a>00424 
<a name="l00436"></a>00436         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDuration(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> duration);
<a name="l00437"></a>00437 
<a name="l00439"></a>00439         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getDuration(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00440"></a>00440 
<a name="l00452"></a>00452         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDuration(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> min, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> max);
<a name="l00454"></a>00454         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMinDuration(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> min);
<a name="l00456"></a>00456         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMaxDuration(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> max);
<a name="l00458"></a>00458         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMinDuration(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00460"></a>00460         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMaxDuration(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00461"></a>00461 
<a name="l00471"></a>00471         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setRepeatDelay(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> duration);
<a name="l00472"></a>00472 
<a name="l00474"></a>00474         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getRepeatDelay(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00475"></a>00475 
<a name="l00487"></a>00487         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setRepeatDelay(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> min, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> max);
<a name="l00489"></a>00489         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMinRepeatDelay(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> min);
<a name="l00491"></a>00491         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMaxRepeatDelay(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> max);
<a name="l00493"></a>00493         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMinRepeatDelay(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00495"></a>00495         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMaxRepeatDelay(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00496"></a>00496 
<a name="l00498"></a>00498         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;getName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00499"></a>00499 
<a name="l00501"></a>00501         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; newName);
<a name="l00502"></a>00502 
<a name="l00504"></a>00504         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;getEmittedEmitter(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00505"></a>00505 
<a name="l00507"></a>00507         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setEmittedEmitter(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; emittedEmitter);
<a name="l00508"></a>00508 
<a name="l00510"></a>00510         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isEmitted(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00511"></a>00511 
<a name="l00513"></a>00513         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setEmitted(<span class="keywordtype">bool</span> emitted);
<a name="l00514"></a>00514 
<a name="l00515"></a>00515 
<a name="l00516"></a>00516     };
<a name="l00520"></a>00520 }
<a name="l00521"></a>00521 
<a name="l00522"></a>00522 
<a name="l00523"></a>00523 <span class="preprocessor">#endif</span>
<a name="l00524"></a>00524 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
